<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
OnUpdateUI Method (IEdmMenu5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmMenu5 Interface : OnUpdateUI Method (IEdmMenu5)

Visual Basic
C#
C++/CLI

lSelFileCount
  Number of selected files

lSelFolderCount
  Number of selected folders

bAllItemsInSameFolder
  True if all of the selected files and folders are located in the same parent folder, false if not

Updates the menu based on a new selection of files and folders.

# Syntax

Visual Basic |
--- | ---

    Sub OnUpdateUI( _
       ByVal lSelFileCount As System.Integer, _
       ByVal lSelFolderCount As System.Integer, _
       Optional ByVal bAllItemsInSameFolder As System.Boolean _
    )

C# |
--- | ---

    void OnUpdateUI(
       System.int lSelFileCount,
       System.int lSelFolderCount,
       System.bool bAllItemsInSameFolder
    )

C++/CLI |
--- | ---

    void OnUpdateUI(
    &   System.int lSelFileCount,
    &   System.int lSelFolderCount,
    &   System.bool bAllItemsInSameFolder
    )

#### Parameters

lSelFileCount
  Number of selected files
lSelFolderCount
  Number of selected folders
bAllItemsInSameFolder
  True if all of the selected files and folders are located in the same parent folder, false if not

# Remarks

Some items in the menu might be grayed out or removed due to the currently selected number of files and folders. This method updates the menu based on a new selection of files and folders.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmMenu5 Interface
IEdmMenu5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional